



//////////////////////////////////    GRAPHICS        ///////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                     //
//  The Star Count  (Stars) have been changed in this version to give it a more                        //
//  Cinematic Feel for slow Machines.  Low graphs                                                      //
//      -voyagerseven                                                                                  //
//                                                                                                     //
/////////////////////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////////////////





// Set this to 1 to get all the missions.
int GIVE_ALL_MISSIONS = 0;

// Camera speed in the shell.
float cfgSHELL_CAMERA_SPEED = .25;

// CHAT
int SCROLL_INTERVAL = 14000;				// How long should each line of chat text linger (milliseconds)
int DEFAULT_CHAT_TEXT_HEIGHT = 25;			// How much space between lines?
 

// Mad3D chunk manager parameters.
int   Mad3D_CHUNK_MANAGER_MAX_CHUNKS = 1500;
float Mad3D_CHUNK_SIZE_FACTOR = 0.5;
float Mad3D_CHUNK_LIFETIME_AVG = 500.0;
float Mad3D_CHUNK_LIFETIME_DEVIATION = 10.0;

// Number of Z-sort buckets used by Mad3D renderer
int Mad3D_NUM_ZSORT_BUCKETS = 16384;
int Mad3D_SHOW_LIGHT_SOURCE_INFO=0;
int Mad3D_PRELOAD_TEXTURES = 1;

// When should we flush buffers (degrading performance) to work around driver bugs?
// 0 = when we don't detect appropriate hardware
// 1 = always
// 2 = never
int cfgMad3D_ALWAYS_FLUSH_D3D_BUFFERS = 0;

// Clipping planes
float NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float FAR_CLIPPING_PLANE = 10000.0;			// meters from eyepoint.
float CINERACTIVE_FAR_CLIPPING_PLANE = 20000.0;	// meters from eyepoint.

// Object culling distance
// This used to be 2800 but we need to see the ships out farther
// since basically everything is always cinematic now.
float cfgOBJECT_CULLING_DISTANCE = 10000.0; // meters from eyepoint.

// Point light parameters for sprite lights on ships

// This is the basic brightness of all the lights in game
float cfgLIGHT_INTENSITY = .9;
// This is the basic width of the light sprites in game as shown on screen
float cfgLIGHT_WIDTH = .75;

// Clipping planes for the cinematic camera 
float CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float STAR_FAR_CLIP_PLANE = 80000.0;
float GRID_FAR_CLIP_PLANE = 10000.0;

// How much parallax to show.  
// Max is 1 (means that you never pass another star)	
// but of course you can crank it to 20 or more to shoot through constellations 
// .2 or .3 is subtle and nice.
float cfgSTARFIELD_PARALLAX = .2;

// How bright to make the stars in the starfield
// 1 is default.
float cfgSTARFIELD_BRIGHTNESS = 2.0;

// The max index of each of these star types as taken from the 
// starfield.spr file plus 1.
int cfgSTARFIELD_NUM_BSTAR =    35;
int cfgSTARFIELD_NUM_MSTAR =    15;
int cfgSTARFIELD_NUM_CSTAR =    10;

// Basic starfield appearance
float cfgSTARFIELD_BACKGROUND_STAR_MAX_DISTANCE = 20000.0;
float cfgSTARFIELD_BACKGROUND_STAR_DISTANCE_VARIATION = 10000.0;
float cfgSTARFIELD_BACKGROUND_STAR_MAX_SIZE = 75.0;
float cfgSTARFIELD_BACKGROUND_STAR_SIZE_VARIATION = 35.0;

float cfgSTARFIELD_MEDIUM_STAR_MAX_DISTANCE = 20000.0;
float cfgSTARFIELD_MEDIUM_STAR_DISTANCE_VARIATION = 6000.0;
float cfgSTARFIELD_MEDIUM_STAR_MAX_SIZE = 400.0;
float cfgSTARFIELD_MEDIUM_STAR_SIZE_VARIATION = 60.0;

float cfgSTARFIELD_CLOSE_STAR_MAX_DISTANCE = 20000.0;
float cfgSTARFIELD_CLOSE_STAR_DISTANCE_VARIATION = 6000.0;
float cfgSTARFIELD_CLOSE_STAR_MAX_SIZE = 1000.0;
float cfgSTARFIELD_CLOSE_STAR_SIZE_VARIATION = 80.0;

//
// Configuration 0 for a SLOW machine
//

// Configure the main and cinematic views
int DETAIL_0_cinematic_show_grid = 0;
int DETAIL_0_cinematic_show_background = 0;
int DETAIL_0_cinematic_show_stars = 0;
int DETAIL_0_cinematic_show_ordnance = 1;
int DETAIL_0_main_show_grid = 1;
int DETAIL_0_main_show_background = 0;
int DETAIL_0_main_show_stars = 1;
int DETAIL_0_main_show_ordnance = 1;

// Levels of detail based on depth
float DETAIL_0_LOD_0_DISTANCE = 300.0;
float DETAIL_0_LOD_1_DISTANCE = 100.0;
float DETAIL_0_LOD_2_DISTANCE = 50.0;
float DETAIL_0_LOD_3_DISTANCE = 25.0;

// Clipping planes
float DETAIL_0_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_0_FAR_CLIPPING_PLANE = 1000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_0_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_0_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_0_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_0_GRID_FAR_CLIP_PLANE = 10000.0;

// Star count
int   DETAIL_0_STARFIELD_STAR_COUNT = 100000.0;  // -voy7 DAS 1000;

//
// Configuration 1 for a slightly faster machine
//

// Configure the main and cinematic views
int DETAIL_1_cinematic_show_grid = 0;
int DETAIL_1_cinematic_show_background = 1;
int DETAIL_1_cinematic_show_stars = 1;
int DETAIL_1_cinematic_show_ordnance = 1;
int DETAIL_1_main_show_grid = 1;
int DETAIL_1_main_show_background = 1;
int DETAIL_1_main_show_stars = 1;
int DETAIL_1_main_show_ordnance = 1;

// Clipping planes
float DETAIL_1_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_1_FAR_CLIPPING_PLANE = 1000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_1_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_1_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_1_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_1_GRID_FAR_CLIP_PLANE = 10000.0;

// Levels of detail based on depth
float DETAIL_1_LOD_0_DISTANCE = 450.0;
float DETAIL_1_LOD_1_DISTANCE = 150.0;
float DETAIL_1_LOD_2_DISTANCE = 75.0;
float DETAIL_1_LOD_3_DISTANCE = 35.0;

// Star count
int DETAIL_1_STARFIELD_STAR_COUNT = 200000.0;   // -voy7 DAS  2000;
//
// Configuration 2 for a medium machine
//

// Configure the main and cinematic views
int DETAIL_2_cinematic_show_grid = 0;
int DETAIL_2_cinematic_show_background = 1;
int DETAIL_2_cinematic_show_stars = 1;
int DETAIL_2_cinematic_show_ordnance = 1;
int DETAIL_2_main_show_grid = 1;
int DETAIL_2_main_show_background = 1;
int DETAIL_2_main_show_stars = 1;
int DETAIL_2_main_show_ordnance = 1;

// Clipping planes
float DETAIL_2_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_2_FAR_CLIPPING_PLANE = 2000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_2_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_2_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_2_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_2_GRID_FAR_CLIP_PLANE = 10000.0;

// Levels of detail based on depth
float DETAIL_2_LOD_0_DISTANCE = 500.0;
float DETAIL_2_LOD_1_DISTANCE = 200.0;
float DETAIL_2_LOD_2_DISTANCE = 100.0;
float DETAIL_2_LOD_3_DISTANCE = 50.0;

// Starfield object statistics 
int DETAIL_2_STARFIELD_STAR_COUNT = 300000.0;  // -voy7 DAS 5000;

//
// Configuration 3 for a fast machine
//

// Configure the main and cinematic views
int DETAIL_3_cinematic_show_grid = 0;
int DETAIL_3_cinematic_show_background = 1;
int DETAIL_3_cinematic_show_stars = 1;
int DETAIL_3_cinematic_show_ordnance = 1;
int DETAIL_3_main_show_grid = 1;
int DETAIL_3_main_show_background = 1;
int DETAIL_3_main_show_stars = 1;
int DETAIL_3_main_show_ordnance = 1;

// Clipping planes
float DETAIL_3_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_3_FAR_CLIPPING_PLANE = 1000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_3_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_3_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_3_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_3_GRID_FAR_CLIP_PLANE = 10000.0;

// Levels of detail based on depth
float DETAIL_3_LOD_0_DISTANCE = 600.0;
float DETAIL_3_LOD_1_DISTANCE = 240.0;
float DETAIL_3_LOD_2_DISTANCE = 120.0;
float DETAIL_3_LOD_3_DISTANCE = 60.0;

// Number of stars 
int DETAIL_3_STARFIELD_STAR_COUNT = 400000.0;  // -voy7 DAS 10000;

//
// Configuration 4 for a very fast machine
//

// Configure the main and cinematic views
int DETAIL_4_cinematic_show_grid = 0;
int DETAIL_4_cinematic_show_background = 1;
int DETAIL_4_cinematic_show_stars = 1;
int DETAIL_4_cinematic_show_ordnance = 1;
int DETAIL_4_main_show_grid = 1;
int DETAIL_4_main_show_background = 1;
int DETAIL_4_main_show_stars = 1;
int DETAIL_4_main_show_ordnance = 1;

// Clipping planes
float DETAIL_4_NEAR_CLIPPING_PLANE = 5.0;			// meters from eyepoint.  Nominally 1.0
float DETAIL_4_FAR_CLIPPING_PLANE = 1000.0;			// meters from eyepoint.  

// Clipping planes for the cinematic camera 
float DETAIL_4_CINEMATIC_NEAR_CLIPPING_PLANE = 10.0;	// meters from eyepoint.  Nominally 1.0
float DETAIL_4_CINEMATIC_FAR_CLIPPING_PLANE = 300.0;	// meters from eyepoint.  

// Special clipping planes for special effects
float DETAIL_4_STAR_FAR_CLIP_PLANE = 80000.0;
float DETAIL_4_GRID_FAR_CLIP_PLANE = 10000.0;

// Levels of detail based on depth
float DETAIL_4_LOD_0_DISTANCE = 700.0;
float DETAIL_4_LOD_1_DISTANCE = 300.0;
float DETAIL_4_LOD_2_DISTANCE = 150.0;
float DETAIL_4_LOD_3_DISTANCE = 75.0;


// Number of stars
int DETAIL_4_STARFIELD_STAR_COUNT = 400000.0;  // -voy7 DAS 40000;


